<template>
	<v-card class="ma-10" color="secondary">
		<v-card-title primary-title>
			<div class="d-flex">
				<div>
					<v-avatar :size="42">
						<v-img class="story-image" :src="imageUrl"></v-img>
					</v-avatar>
				</div>
				<div class="ms-3">
					<span style="font-size: 12px">{{ name }} <sup class="grey--text" style="font-size: 10px">July 25, 2023, 11:59pm</sup></span>
				</div>
			</div>
		</v-card-title>
		<v-card-text> Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate, architecto asperiores fuga ab repellat obcaecati. Ducimus alias maxime perspiciatis! Distinctio fugit culpa perferendis pariatur, repellendus corrupti id vero earum odit eius praesentium commodi. Quaerat porro necessitatibus odio harum nesciunt eius sapiente neque reprehenderit voluptatem eligendi possimus natus voluptatum nostrum labore sed hic illum, ipsum molestias velit tempora error fuga dolorum nemo. In praesentium sequi deserunt qui quidem itaque saepe debitis nisi iure. Pariatur soluta ipsum quis ut molestiae totam nulla commodi porro, illo nesciunt voluptate sit? Quidem tempore voluptatum iste. Deleniti placeat, dolores ut laudantium soluta corporis aliquid libero ad? </v-card-text>
		<v-card-actions class="d-flex justify-center">
			<v-btn text><v-icon>mdi-thumb-up</v-icon> <span class="mx-3">Like</span></v-btn>
			<v-btn text><v-icon>mdi-comment</v-icon> <span class="mx-3">Comment</span></v-btn>
			<v-btn text><v-icon>mdi-share</v-icon> <span class="mx-3">Share</span></v-btn>
		</v-card-actions>
	</v-card>
</template>

<script>
export default {
	name: 'NewsFeed',
	props: {
		name: {
			type: String,
			default: '',
		},
		imageUrl: {
			type: String,
			default: '',
		},
	},
};
</script>

<style></style>
